Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter
Class JMeterReport

    java.lang.Object
      org.apache.jmeter.JMeterReport

All Implemented Interfaces:
  JMeterPlugin

public class JMeterReport
extends Object
implements JMeterPlugin

JMeterReport is the main class for the reporting component. For now, the plan is to make the reporting component a separate GUI, which can run in GUI or console mode. The purpose of the GUI is to design reports, which can then be run. One of the primary goals of the reporting component is to make it so the reports can be run in an automated process. The report GUI is different than the main JMeter GUI in several ways.

- the gui is not multi-threaded
- the gui uses different components
- the gui is focused on designing reports from the jtl logs generated during a test run

The class follows the same design as JMeter.java. This should keep things consistent and make it easier to maintain.

Constructor Summary
`JMeterReport()`

Method Summary
`String[][]` | `getIconMappings()`
`String[][]` | `getResourceBundles()`
`void` | `start(String[] args)`
`void` | `startGui(org.apache.commons.cli.avalon.CLOption testFile)`
`void` | `startNonGui(org.apache.commons.cli.avalon.CLOption testFile, org.apache.commons.cli.avalon.CLOption logFile)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JMeterReport

    public JMeterReport()

Method Detail

### getIconMappings

    public String[][] getIconMappings()

  Specified by:
    `getIconMappings` in interface `JMeterPlugin`

### getResourceBundles

    public String[][] getResourceBundles()

  Specified by:
    `getResourceBundles` in interface `JMeterPlugin`

### startNonGui

    public void startNonGui(org.apache.commons.cli.avalon.CLOption testFile,
                            org.apache.commons.cli.avalon.CLOption logFile)

### startGui

    public void startGui(org.apache.commons.cli.avalon.CLOption testFile)

### start

    public void start(String[] args)

  Parameters:
    `args` -

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.